{"data":[{"id":"chg_2350930682623485ed89910fbf33a616d58940dc5043aa5b77b2c6ef08af4a54","path":"/v2/parse","method":"POST","direction":"response","fieldPath":"finish_reason","changeType":"response-optional-property-added","detectedAt":"2026-10-18T17:43:06.042657+00:00","classification":"non_breaking","breakKind":null,"summary":"added the optional property `finish_reason` to the response with the `200` status","reasoning":"response.added: response response-optional-property-added -> non_breaking","ruleId":"response.added","classifierVersion":"2026-10-15.2","evidenceStrength":"spec_only","detectionMethod":"openapi_diff","fragment":[{"kind":"ctx","text":"..."},{"kind":"ctx","text":"            description: Response from the v2 parse endpoint."},{"kind":"ctx","text":"            properties:"},{"kind":"add","text":"              finish_reason:"},{"kind":"add","text":"                description: >"},{"kind":"add","text":"                  The reason a chat request has finished."},{"kind":"add","text":""},{"kind":"add","text":""},{"kind":"add","text":"                  - **complete**: The model finished sending a complete message."},{"kind":"add","text":""},{"kind":"add","text":"                  - **max_tokens**: The number of generated tokens exceeded the"},{"kind":"add","text":"                  model's context length or the value specified via the"},{"kind":"add","text":"                  `max_tokens` parameter."},{"kind":"add","text":""},{"kind":"add","text":"                  - **stop_sequence**: One of the provided `stop_sequence`"},{"kind":"add","text":"                  entries was reached in the model's generation."},{"kind":"add","text":""},{"kind":"add","text":"                  - **tool_call**: The model generated a Tool Call and is"},{"kind":"add","text":"                  expecting a Tool Message in return"},{"kind":"add","text":""},{"kind":"add","text":"                  - **error**: The generation failed due to an internal error"},{"kind":"add","text":""},{"kind":"add","text":"                  - **timeout**: The generation was stopped because it exceeded"},{"kind":"add","text":"                  the allowed time limit."},{"kind":"add","text":"                enum:"},{"kind":"add","text":"                  - COMPLETE"},{"kind":"add","text":"                  - STOP_SEQUENCE"},{"kind":"add","text":"                  - MAX_TOKENS"},{"kind":"add","text":"                  - TOOL_CALL"},{"kind":"add","text":"                  - ERROR"},{"kind":"add","text":"                  - TIMEOUT"},{"kind":"add","text":"                type: string"},{"kind":"add","text":"                x-fern-type-name: ChatFinishReason"},{"kind":"ctx","text":"              id:"},{"kind":"ctx","text":"                description: Unique identifier for the parse response."},{"kind":"ctx","text":"..."}]},{"id":"chg_8104717617815a15cc75c4ab84b99e73412a065783b196787919ac412ed307a7","path":"/v2/parse","method":"POST","direction":"response","fieldPath":null,"changeType":"response-optional-property-added","detectedAt":"2026-09-25T21:08:27.877892+00:00","classification":"non_breaking","breakKind":null,"summary":"added the optional property `finish_reason` to the response with the `200` status","reasoning":"response.added: response response-optional-property-added -> non_breaking","ruleId":"response.added","classifierVersion":"2026-09-14.1","evidenceStrength":"spec_only","detectionMethod":"openapi_diff","fragment":[]}],"nextCursor":null}